# gcu::GLDocument Class Reference

`#include <gcu/gldocument.h>`

Inheritance diagram for gcu::GLDocument:

List of all members.

## Public Member Functions
| GLDocument (Application *App)
virtual | ~GLDocument ()
virtual void | Draw ()=0
double | GetMaxDist (void)
GLView * | GetView (void)
## Protected Attributes
double | m_MaxDist
GLView * | m_View

## Detailed Description

This class is a base class for documents representing 3d objects.

Definition at line 40 of file gldocument.h.

## Constructor & Destructor Documentation

gcu::GLDocument::GLDocument | ( | Application * | App | ) |

Parameters:

  | App | the application owning the new document.

Default constructor.

virtual gcu::GLDocument::~GLDocument | ( |  | ) | `[virtual]`

Default destructor.

## Member Function Documentation

virtual void gcu::GLDocument::Draw | ( |  | ) | `[pure virtual]`

Called by GLView::Update to populate its GLList.

Implemented in gcu::Chem3dDoc, and gcu::CrystalDoc.

gcu::GLDocument::GetMaxDist | ( | void |  | ) | `[inline]`

Returns:
  the longest distance between any object and the center of the model.

Definition at line 66 of file gldocument.h.

gcu::GLDocument::GetView | ( | void |  | ) | `[inline]`

Returns:
  the associated GLView instance.

Reimplemented in gcu::CrystalDoc.

Definition at line 73 of file gldocument.h.

## Member Data Documentation

gcu::GLDocument::m_MaxDist`[protected]`

The longest distance between any object and the center of the model.

Definition at line 66 of file gldocument.h.

gcu::GLDocument::m_View`[protected]`

The associated GLView instance.

Definition at line 73 of file gldocument.h.

The documentation for this class was generated from the following file:

- gldocument.h